<div align="center">
  <a href="https://episclera.github.io/toolkit/">
  <img style="max-width:100%;" height="200"
    src="https://raw.githubusercontent.com/episclera/toolkit/master/logo.png">
  </a>
  <h1>@episclera/babel-config</h1>
  <p>A shareable babel config. Part of <a href="https://github.com/episclera/toolkit">toolkit</a> monorepo</p>
  <p>
    <a href="https://episclera.github.io/toolkit/">Site</a>
    | <a href="https://episclera.github.io/toolkit/docs/doc-introduction">Getting Started</a>
    | <a href="https://episclera.github.io/toolkit/docs/doc-api-introduction">API</a>
    | <a href="https://episclera.github.io/toolkit/blog/">Blog</a>
  </p>
</div>

[![GitHub](https://img.shields.io/github/license/episclera/toolkit)](https://github.com/episclera/toolkit/blob/master/LICENSE)
[![Multipack](https://img.shields.io/badge/Generated%20from-episclera%2Fmultipack-green)](https://github.com/episclera/multipack)

## Usage

Install: `npm i -D @episclera/babel-config`

And in your `.babelrc.js` file just put this content.

```js
const { commonBabelConfig } = require('@episclera/babel-config')
module.exports = commonBabelConfig

// OR you can mix multiple configs with "mergeConfigs" util from @episclera/toolkit-utils
const { commonBabelConfig, uiBabelConfig } = require('@episclera/babel-config')
const { mergeConfigs } = require('@episclera/toolkit-utils')

module.exports = mergeConfigs(commonBabelConfig, uiBabelConfig)
```

## Contributing

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request :D

#### Or you can sponsor via [Open Collective](https://opencollective.com/episclera/)

[![Open Collective](https://opencollective.com/episclera/tiers/sponsor.svg?avatarHeight=60)](https://opencollective.com/episclera/)

## Author

**[@episclera/toolkit](https://github.com/episclera/toolkit)** © [Episclera](https://github.com/episclera), Released under the [MIT](https://github.com/episclera/toolkit/blob/master/LICENSE) License.<br>
Authored and maintained by Episclera with help from contributors ([list](https://github.com/episclera/toolkit/contributors)).

#### If you like this repository star⭐ and watch👀 on [GitHub](https://github.com/episclera/toolkit).
